---
title: WorkerGlobalScope.console
slug: Web/API/WorkerGlobalScope/console
tags:
  - API
  - Property
  - Read-only
  - Reference
  - Référence(2)
  - Web Workers
  - WorkerGlobalScope
---
<p>{{APIRef("Web Workers API")}}{{Non-standard_header}}</p>

<p>The <code><strong>console</strong></code> read-only property of the {{domxref("WorkerGlobalScope")}} interface returns a {{domxref("Console")}} object providing access to the browser console for the worker.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var consoleObj = self.console;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Console")}} object.</p>

<h2 id="Example">Example</h2>

<p>This property allows you to have access to a browser console for debugging purposes, inside a worker. So for example you could call</p>

<pre class="brush: js">console.log('test');</pre>

<p>inside a worker (which would basically be the equivalent of <code>self.console.log('test');</code>, as these are being called on the worker scope, which can be referenced with {{domxref("WorkerGlobalScope.self")}}), to return a test message out to the browser console.</p>

<p>If you are calling <code>console.log()</code> from a {{domxref("DedicatedWorkerGlobalScope")}} or other worker scope that acts on a single loaded window, that tab's web console will receive the logs. However, If you are calling <code>console.log()</code> from a {{domxref("SharedWorkerGlobalScope")}}, the global browser console will receive the logs.</p>

<h2 id="Specifications">Specifications</h2>

<p>Not yet part of any specification.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WorkerGlobalScope.console")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Console")}}</li>
 <li>{{domxref("WorkerGlobalScope")}}</li>
</ul>
